library(shiny)

shinyUI(fluidPage(
  tags$head(
    tags$style(HTML(".shiny-output-error-validation { color: red; }"))
  ),
  
  # Application title
  titlePanel("BRANE cut -- V.1.1"),
  
  sidebarLayout(
    # 
    sidebarPanel(
      fileInput(inputId = "data_input", label = "Gene Expression Matrix"),
      conditionalPanel(
        condition = "output.fileUploaded",
        actionButton('weight_comp', 'Weight Computation')        
        
      ),
      conditionalPanel(
        condition = "output.WeightsComputed",
        tags$br(),
        fileInput(inputId = "tf_input", label = "TF List")
      ),
      conditionalPanel(
        condition = "output.TFloaded",
        list(numericInput('Lntf', 'Lambda_nonTF: Lntf', value = 0.1),
             numericInput('Ltf', 'Lambda_TF: Ltf (> LnTF)', value = 0.5),
             numericInput('gamma', 'Gamma', value = 0.5),
             numericInput('mu', 'Mu', value= 1)),
        checkboxInput('interact', 'Interactive Plot', value = F),
        actionButton("run", "Run Inference")
      )
      ),
    
    # Show results
    mainPanel(
      verbatimTextOutput("Download"),
     verbatimTextOutput("Weights"),
     verbatimTextOutput("TF"),
     verbatimTextOutput("TextParam"),
     plotOutput('GRN')
      
    )
  )
))